/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 22/11/2024

Scivi una funzione che restituisce "true" se i tre parametri possono essere lati di un triangolo.
*/

#include <iostream>
using namespace std;

bool isTriangolo(float lato1, float lato2, float lato3);

int main(void) {
	float lato1, lato2, lato3;
	
	cout << "Inserire il primo lato di un triangolo: ";
	cin >> lato1;
	
	cout << "Inserire il secondo lato di un triangolo: ";
	cin >> lato2;
	
	cout << "Inserire il terzo lato di un triangolo: ";
	cin >> lato3;
	
	cout << endl;
	
	if(isTriangolo(lato1, lato2, lato3)) {
		cout << "Triangolo esistente." << endl;
	} else {
		cout << "Triangolo inesistente." << endl;
	}
	
	return 0;
}

bool isTriangolo(float lato1, float lato2, float lato3) {
	
	if (lato1 < lato2 + lato3 && lato2 < lato1 + lato3 && lato3 < lato1 + lato2) {
		return true;
	} else {
		return false;
	}
	
	return true;
}